$(document).ready(function () {
    $("body").on("change blur", '.shift,.vouchdt', getData);
    $("body").on("blur", '.sa', calData);
    $("body").on("change", '.sale', chk);
    $("body").on("change blur keyup", '.tsale', calDetail);

    function calDetail() {
        var tr = $(this).closest("tr"),
                tsale = tr.find(".tsale").val(),
                trate = tr.find(".trate").val(),
                credsale = tr.find(".credsale").val(),
                cashsale = tsale - credsale,
                cashamt = trate * cashsale,
                totcash = 0;
        tr.find(".cashsale").val(cashsale);
        tr.find(".cashamt").val(cashamt);

        $(".cashamt").each(function () {
            if (!isNaN(this.value) && this.value.length != 0) {
                totcash += parseFloat(this.value);
            }
        });
        $(".tcashamt").val(totcash);
    }
    

    function chk() {
        $(".chgflag").val("1");
    }

    $(".readtab").show();
    $(".saletab").hide();
    $(".pumpprev").hide();
//    $(".finishtab").hide();


    $(".pumpprev").click(function () {
        $(".readtab").show();
        $(".pumpnext").show();
        $(".saletab").hide();
        $(".pumpprev").hide();
        $(".finishtab").hide();


    });

    $(".pumpnext").click(function () {
        $(".finish").show();
        $(".finishtab").show();
        $(".pumpprev").show();
        $(".saletab").show();
        $(".readtab").hide();
//        var chgflag = $(".chgflag").val();

//        if (chgflag == "1") {
        var ctr = $('#items').val();
        var nctr = 0;
        $(".tbody").find('tr').each(function () {
            nctr++;
            var row = $(this);
            var sale = row.find('.sale').val();
            var prodcode = row.find('.prodcode').val();
            var prodname = row.find('.product').val();
            var pumpno = row.find('.pump').val();
            var rate = row.find('.rate').val();
            var cost = row.find('.cost').val();
            var srno = row.find('.srno').val();

            var vouchno = $('.vouchno').val();
            var vouchdt = $('.vouchdt').val();
            var shift = $('.shift').val();

            $.post('save_stkread_temp.php', {pumpno: pumpno, srno: srno, shift: shift, sale: sale, rate: rate, cost: cost, prodcode: prodcode, prodname: prodname, vouchno: vouchno, vouchdt: vouchdt}, function (data) {
                $('.billflag').val(1);
            });
        });

        if (nctr == ctr) {
//            alert(nctr);
//            alert(ctr);
            getReadtemp();
        }

//        }
    });

    function getReadtemp() {

        var vouchno = $('.vouchno').val();
        var vouchdt = $('.vouchdt').val();
        var shift = $('.shift').val();
//        var chgflag = $(".chgflag").val();
//        if (chgflag == "1") {
        $(".tbody2").html("");

        $.post('get_stkread_temp.php', {shift: shift, vouchno: vouchno, vouchdt: vouchdt}, function (data) {
            $(".tbody2").html(data);

        });
//        }

//        alert('33');

        $(".finish").show();
        $(".finishtab").show();
//        $(".pumpprev").show();
        $(".saletab").show();
//        $(".readtab").hide();
//       alert('44');

    }

//    $(".sloader3").hide();

    $(".finishtab").click(function () {

        $(".saletab").hide();
        $("#scancel").hide();
        $(".finishtab").hide();
        $(".pumpprev").hide();
//        $(".sloader3").show();

        var shift = $(".shift").val(),
                vouchdt = $(".vouchdt").val(),
                staff = $(".staff").val(),
                valid = true;


        if (shift == "") {
            alert('Shift Cannot Be Empty');
            return false;
            valid = false;
//            $(".finishtab").show();
//            $(".pumpprev").show();
//            $(".saletab").show();
//            $("#scancel").show();
        }

        if (vouchdt == "0000-00-00" || vouchdt == "") {
            alert('Date Cannot Be Empty');
            return false;
            valid = false;
//            $(".finishtab").show();
//            $(".pumpprev").show();
//            $(".saletab").show();
//            $("#scancel").show();
        }

        if (staff == "") {
            alert('Staff Cannot Be Empty');
            return false;
            valid = false;
        }

        if (valid) {
            var isValid = true;

            if (isValid) {
                $("#submit").show();
                $("#submit").click();
            }
        } else {
            $(".finishtab").show();
//            $(".pumpprev").show();
            $(".saletab").show();
            $("#scancel").show();
//            $(".sloader3").hide();
        }
    })

    $("#hedit").click(function () {
        $("#ssubmit").hide();
    })

    $("#ssubmit").hide();

    function calData() {
        var tr = $(this).closest("tr"),
                opening = tr.find(".opening").val(),
                closing = tr.find(".closing").val(),
                testing = tr.find(".testing").val(),
                evaporate = tr.find(".evaporate").val(),
                transfer = tr.find(".transfer").val(),
                sale = 0, netsale = 0;
        if (parseFloat(closing) != "") {
            if (parseFloat(closing) < parseFloat(opening)) {
                alert("Closing Reading Cannot be Smaller then Opening");
                tr.find(".closing").val("");
                tr.find(".closing").focus();
            }
        }

        sale = parseFloat(closing) - parseFloat(opening);
        netsale = sale - testing - evaporate - transfer;
        tr.find(".sale").val(sale);
        tr.find(".netsale").val(netsale);
    }

    function getData() {
        var shift = $(".shift").val();
        var vouchdt = $(".vouchdt").val();
        var vouchno = $(".vouchno").val();
        var addflg = $(".addflg").val();
        if (addflg == 1) {
            if (shift != "") {
                $.post('get_stkread.php', {vouchdt: vouchdt, shift: shift, vouchno: vouchno}, function (data) {
                    if (data > 0) {
                        alert("Entry Already exist for this Shift & Date");
                        $(".shift").val("");
                        $(".shift").focus();
                        $("#ssubmit").hide();
                        $(".tbody").html("");

                    } else {
                        $(".tbody").html(data);
                    }
                });
            }
        }
    }


   //////////////////////////////////////////////Search Part - Start//////////////////////////////////////////////
   
   
    $("body").on("keyup", ".csearch", getSearchData);
    $("body").on("click", ".cload", getSearchData);
    $("body").on("click", "#search", getSearchData);


    $(".cnoRecord").hide();
    $(".cloader").hide();

    $(".searchModal").on('shown.bs.modal', function () {
        $(".csearch").focus();
        $(".csearch").val("");
        $(".cfield").val("1");
        getSearchData();
    });

    var imrangeFrom = 0,
            imrangeTo = 40;

    function getSearchData(pagination) {

        $(".cloader").show();

        if (pagination == 'prev') {
            if (imrangeFrom > 0) {
                imrangeFrom = (imrangeFrom - 40);
                imrangeTo = (imrangeTo - 40);
            }
        }
        if (pagination == 'next') {
            imrangeFrom = (imrangeFrom + 40);
            imrangeTo = (imrangeTo + 40);
        }

        var series = $(".series").val(),
                vouchno = $(".vouchno").val(),
                csearch = $(".csearch").val(),
                cfield = $(".cfield").val(),
                coperator = $(".coperator").val(),
                data = {csearch: csearch, cfield: cfield, coperator: coperator,
                    series: series, vouchno: vouchno, rangeFrom: imrangeFrom, rangeTo: imrangeTo},
        values = "";
        $.ajax({
            type: 'GET',
            dataType: 'json',
            url: "cust_search.php",
            data: data,
            success: function (response) {
                if (response == "") {
                    $(".cnoRecord").show();
                    $(".cnext").hide();
                } else {
                    $(".cnext").show();
                    $(".cnoRecord").hide();

                    $.each(response, function () {
                        values += "<tr class='clickable-row' data-href='" + this.action + "'>" +
                                "<td align='left'>" + this.name + "</td>" +
                                "<td align='left'>" + this.add1 + "</td>" +
                                "<td align='left'>" + this.city + "</td>" +
                                "<td align='left'>" + this.mobile + " </td>" +
                                "<td align='left'>" + this.email + "</td>" +
                                "<td align='left'><a href='" + this.action + "' ><i class='fa fa-pencil'></i></a></td>" +
                                "</tr>";
                    });
                    $(".cloader").hide();
                    $(".cTbody").empty();
                    $(".cTbody").html(values);
                    if (response) {
                        $(".search-action-bar").show();
                    }
                }
            },
            error: function (request, textStatus, errorThrown) {

            }
        });
    }
    $("#search").click(function () {
        getSearchData();
    });
    $(".cprev").click(function () {
        getSearchData('prev');
    });
    $(".cnext").click(function () {
        getSearchData('next');
    });

    //////////////////////////////////////////////Search Part - End  //////////////////////////////////////////////

});